[mythtv-users] Anyone tested the DVB-T2 dual tuner TBS6280?

Tim Draper veehexx at gmail.com
Sun Aug 14 08:04:52 UTC 2011


On 13 August 2011 10:08, Lawrence Rust <lvr at softsystem.co.uk> wrote:

> On Tue, 2011-08-09 at 12:35 +0200, Harald Gustafsson wrote:
> > Hi,
> >
> > I searched for a dual tuner PCI-e DVB-T2 card with Linux support and
> > found this TBS6280 card:
> > http://tbsdvb.blog.com/2011/07/22/tbs-6280-freeview-hd-twin-tuner-card/
> > http://www.buydvb.net/tbs6280-pcie-dvbt2t-dual-tuner-card_p38.html
> > http://www.tbsdtv.com/english/Download.html
> >
> > Previously I have only found the blackgold product that state they
> > will have Linux support but have not seen any drivers yet.
> >
> > But when searching the mythtv lists and the linux dvb list I could not
> > find anyone using it. Do anyone have any info about this card, does it
> > work well with terrestrial DVB-T2 reception, is linux support working,
> > does it work with mythtv, etc.
>
> I haven't used the 6280 but I do have a 6981 (dual dvb-S2).
>
> The driver is shipped as a mixture of source and pre-compiled object
> files for their custom frontends.  You re-build all the v4l drivers 'out
> of tree' using a v4l-media environment (see www.linuxtv.org/repo/) by
> running 'sudo make install'.
>
> The stock v4l sources supplied are old (from around 2.6.35) and don't
> contain many current fixes.  This isn't a problem per-se unless you
> intend to use the card with another v4l card.  In this case your brand
> new, bug fixed drivers are replaced by TBS's version which may or, as in
> my case, may not work.
>
> I repeatedly mailed TBS support at support at tbsdtv.com to ask how I could
> only install the 6981 driver but never got an answer.  In desperation I
> setup a git tree of 2.6.35 and merged it with the TBS drivers in order
> to separate their changes.  Finally after many hours I have a set of
> patches that I can apply to 2.6.39 that produce a working driver.
>
> Be warned that if you run a 2.6.38 or later kernel then the IR RC won't
> work because of significant changes to the RC architecture that TBS
> don't like (see http://www.tbsdtv.com/forum/viewtopic.php?f=22&t=929 and
> http://www.tbsdtv.com/forum/viewtopic.php?f=22&t=110&start=90#p2693 )
>
> Not for the faint hearted.
>
> --
> Lawrence
>

^^ what he said!
6981 here too, and although i am happy running an unpatched mythbuntu 10.10
install and things work flawless, the biggest show stopper i've come across
the IR conflict support when using LIRC 0.9.0 and the mceusb devices.

stability wise, i've never had a problem. driver side works on certain
kernels. that along with compatibility issues with LIRC will be the biggest
headache you will come across.
lirc 0.8.7 works fine though.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.mythtv.org/pipermail/mythtv-users/attachments/20110814/8113a458/attachment.html 


More information about the mythtv-users mailing list